Bug 1265757 - Reconfigure service button gives 404
Reconfigure service button gives 404
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.4.0
Unspecified Unspecified
high Severity unspecified
: GA
: 5.4.4
Assigned To: Martin Hradil
Alex Newman
: ZStream
Depends On: 1255048
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 13:02 EDT by Chris Pelland
Modified: 2015-12-16 08:19 EST (History)
11 users (show)

See Also:
Fixed In Version: 5.4.4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1255048
Environment:
Last Closed: 2015-12-16 08:19:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 3 CFME Bot 2015-10-16 17:22:46 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=e18747d2716af77b8e191898dc8f1122fd158b0b

commit e18747d2716af77b8e191898dc8f1122fd158b0b
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Fri Oct 2 14:42:58 2015 +0000
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Fri Oct 2 14:42:58 2015 +0000

    Toolbar - hide Reconfigure service when no Reconfigure resource action or dialog
    
    This makes build_toolbar_hide call build_toolbar_hide_button_service for
    both Service and ServiceOrchestration
    
    It also adds a check for resource_action.dialog_id for
    service_reconfigure, since it can't do anything without a dialog.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1255048
    
    (cherry-picked from b14645407bcfbddafd90cb67fe6f452e51eda95d)
    https://bugzilla.redhat.com/show_bug.cgi?id=1265757

 vmdb/app/helpers/application_helper.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 4 CFME Bot 2015-10-16 17:23:03 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=3b8a5789a9b552f0602df7e30e3346d186c7292c

commit 3b8a5789a9b552f0602df7e30e3346d186c7292c
Merge: 36fde53 e18747d
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Fri Oct 16 17:20:54 2015 -0400
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Fri Oct 16 17:20:54 2015 -0400

    Merge branch 'bz1265757' into '5.4.z'
    
    Toolbar - hide Reconfigure service when no Reconfigure resource action or dialog
    
    This makes build_toolbar_hide call build_toolbar_hide_button_service for
    both Service and ServiceOrchestration
    
    It also adds a check for resource_action.dialog_id for
    service_reconfigure, since it can't do anything without a dialog.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1255048
    
    (cherry-picked from b14645407bcfbddafd90cb67fe6f452e51eda95d)
    https://bugzilla.redhat.com/show_bug.cgi?id=1265757
    
    See merge request !277

 vmdb/app/helpers/application_helper.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 6 Alex Newman 2015-12-09 13:18:46 EST
tested: 5.4.4.2.20151130143928_89a28ce 
Service reconfiguration is possible
Comment 8 errata-xmlrpc 2015-12-16 08:19:27 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2620.html

Note You need to log in before you can comment on or make changes to this bug.